package com.persagy.server.services

import cn.hutool.core.collection.CollUtil
import com.persagy.server.Opts
import com.persagy.server.client.AdmMiddlewareClient
import com.persagy.server.datacenter.models.entities.objects.Building
import com.persagy.server.datacenter.models.entities.objects.Equipment
import com.persagy.server.datacenter.models.entities.task.BuildingDic
import com.persagy.service.models.requests.SQueryRequest
import com.persagy.service.utils.SSpringContextUtil
import org.springframework.stereotype.Service

/**
 * ADM基础接口查询
 * @author:linhuili
 * @date:2021/10/19
 */
@Service
class AdmBaseService {

    /** 自定义 sql */
    private val admMiddlewareClient by lazy {
        SSpringContextUtil.getBean(AdmMiddlewareClient::class.java) as AdmMiddlewareClient
    }

    /**
     * 查询建筑
     * @param params
     * @return
     */
    fun queryBuilding(criteria: SQueryRequest?): List<Building>? {
        //查询对象信息
        val result = admMiddlewareClient!!.queryBuilding(Opts.groupCode,Opts.projectId,criteria) ?: return ArrayList()
        if(CollUtil.isEmpty(result.content)){
            return ArrayList<Building>()
        }
        return result.content
    }

    /**
     * 查询设备
     */
    fun queryEquip(criteria: SQueryRequest?):List<Equipment>?{
        //查询对象信息
        val result = admMiddlewareClient!!.queryEquip(Opts.groupCode,Opts.projectId,criteria) ?: return ArrayList()
        if(CollUtil.isEmpty(result.content)){
            return ArrayList<Equipment>()
        }
        return result.content
    }


}